Debian Bug report logs - #706048
ITP: nsnake -- classic snake game with textual interface

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Alexandre Dantas <alex.dantas92@gmail.com>

Date: Tue, 23 Apr 2013 23:12:02 UTC

Owned by: Alexandre Dantas <alex.dantas92@gmail.com>

Severity: wishlist

Fixed in version nsnake/1.5-1

Done: Alexandre Dantas <alex.dantas92@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#706048; Package wnpp. (Tue, 23 Apr 2013 23:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Dantas <alex.dantas92@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 23 Apr 2013 23:12:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexandre Dantas <alex.dantas92@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: nsnake -- classic snake game with textual interface
Date: Tue, 23 Apr 2013 20:09:05 -0300
Package: wnpp
Severity: wishlist
Owner: Alexandre Dantas <alex.dantas92@gmail.com>


* Package name    : nsnake
  Version         : 1.6
  Upstream Author : Alexandre Dantas <alex.dantas92@gmail.com>
* URL             : http://www.alexdantas.net/projects/nsnake/
* License         : GPL3
  Programming Lang: C
  Description     : classic snake game with textual interface

 nsnake is an implementation of the classic snake game with textual
 interface. It is playable at command-line with ncurses-like graphics.
 .
 Features high-scores and two game modes - with and without borders.
 .
 Screenshot: http://alexdantas.net/nsnake-screenshot.png



Added tag(s) pending. Request was from Alexandre Dantas <alex.dantas92@gmail.com> to control@bugs.debian.org. (Wed, 24 Apr 2013 00:15:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 706048: 706049 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 24 Apr 2013 04:27:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Dantas <alex.dantas92@gmail.com>:
Bug#706048; Package wnpp. (Wed, 24 Apr 2013 20:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Dantas <alex.dantas92@gmail.com>. (Wed, 24 Apr 2013 20:33:04 GMT) Full text and rfc822 format available.

Message #14 received at 706048@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: debian-devel@lists.debian.org
Cc: 706048@bugs.debian.org
Subject: Re: Bug#706048: ITP: nsnake -- classic snake game with textual interface
Date: Wed, 24 Apr 2013 22:30:38 +0200
[Message part 1 (text/plain, inline)]
Hi Alexandre,

Am Dienstag, den 23.04.2013, 20:09 -0300 schrieb Alexandre Dantas:
> Package: wnpp
> Severity: wishlist
> Owner: Alexandre Dantas <alex.dantas92@gmail.com>
> 
> 
> * Package name    : nsnake
>   Version         : 1.6
>   Upstream Author : Alexandre Dantas <alex.dantas92@gmail.com>
> * URL             : http://www.alexdantas.net/projects/nsnake/
> * License         : GPL3
>   Programming Lang: C
>   Description     : classic snake game with textual interface
> 
>  nsnake is an implementation of the classic snake game with textual
>  interface. It is playable at command-line with ncurses-like graphics.
>  .
>  Features high-scores and two game modes - with and without borders.

while it is certainly fun to develop such a game, do you really think
that it adds noticeable value to Debian’s users? Is it much better than
the snake in bsdgames? If yes, have you tried improving that, or asked
the maintainers to include your game instead?

Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706048; Package wnpp. (Thu, 25 Apr 2013 02:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Dantas <alex.dantas92@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 25 Apr 2013 02:54:05 GMT) Full text and rfc822 format available.

Message #19 received at 706048@bugs.debian.org (full text, mbox):

From: Alexandre Dantas <alex.dantas92@gmail.com>
To: Joachim Breitner <nomeata@debian.org>, 706048@bugs.debian.org
Subject: Re: Bug#706048: ITP: nsnake -- classic snake game with textual interface
Date: Wed, 24 Apr 2013 23:51:48 -0300
Hello Joachim, thanks for the interest!

I've played 'snake' from 'bsdgames' and have to say it's a completely
different game. While there you have to escape a snake that keeps
chasing you, in 'nsnake' you control a snake that must eat to grow
bigger, while avoiding getting killed. The latter follows an approach
similar to those old cellphone snake games.

While I understand that there are already snake games with a graphical
front-end on the archive, this would be one of the the first
textual-based ones (again, following the old cellphone game style).

But, even if there were already some snake games playable through the
terminal on the archive, I really think 'nsnake' should be added for a
couple of reasons.

It was developed with beginner programmers in mind, being a nice
start-up for C game developers. It's a simple, well-commented game
with a few dependences.

Having colors and different game modes, it stands out from every other
snake implementation. Following the sentence above, it's easier to add
new features and such.

Also, since the mantainer and upstream are the same person, it eases
mantainability/updates and zeroes the chance of it ever becoming
orphan.

'bsdgames' installs several games in one package. I think users should
have the opportunity to decide on which snake game they preffer, or
which minesweeper, and there it goes.

There's where diversity comes in. For example, there are already
plenty block games similar to Tetris(tm) on the archive [0], both with
graphical and textual interface. They're all very different from each
other, so it all adds up to the final user's choice.

[0]: http://packages.debian.org/search?suite=stable&section=all&arch=any&searchon=all&keywords=tetris


On 4/24/13, Joachim Breitner <nomeata@debian.org> wrote:
> Hi Alexandre,
>
> Am Dienstag, den 23.04.2013, 20:09 -0300 schrieb Alexandre Dantas:
>> Package: wnpp
>> Severity: wishlist
>> Owner: Alexandre Dantas <alex.dantas92@gmail.com>
>>
>>
>> * Package name    : nsnake
>>   Version         : 1.6
>>   Upstream Author : Alexandre Dantas <alex.dantas92@gmail.com>
>> * URL             : http://www.alexdantas.net/projects/nsnake/
>> * License         : GPL3
>>   Programming Lang: C
>>   Description     : classic snake game with textual interface
>>
>>  nsnake is an implementation of the classic snake game with textual
>>  interface. It is playable at command-line with ncurses-like graphics.
>>  .
>>  Features high-scores and two game modes - with and without borders.
>
> while it is certainly fun to develop such a game, do you really think
> that it adds noticeable value to Debian’s users? Is it much better than
> the snake in bsdgames? If yes, have you tried improving that, or asked
> the maintainers to include your game instead?
>
> Greetings,
> Joachim
> --
> Joachim "nomeata" Breitner
> Debian Developer
>   nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
>   JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
>
>


-- 
Alexandre Dantas
*1309 21D9 ECA0 6EE5 F435  D1C5 F234 E30E B63C F56F*
my projects <http://alexdantas.net/projects/>



Reply sent to Alexandre Dantas <alex.dantas92@gmail.com>:
You have taken responsibility. (Sun, 28 Apr 2013 13:04:21 GMT) Full text and rfc822 format available.

Notification sent to Alexandre Dantas <alex.dantas92@gmail.com>:
Bug acknowledged by developer. (Sun, 28 Apr 2013 13:04:22 GMT) Full text and rfc822 format available.

Message #24 received at 706048-close@bugs.debian.org (full text, mbox):

From: Alexandre Dantas <alex.dantas92@gmail.com>
To: 706048-close@bugs.debian.org
Subject: Bug#706048: fixed in nsnake 1.5-1
Date: Sun, 28 Apr 2013 13:00:07 +0000
Source: nsnake
Source-Version: 1.5-1

We believe that the bug you reported is fixed in the latest version of
nsnake, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706048@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexandre Dantas <alex.dantas92@gmail.com> (supplier of updated nsnake package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 23 Apr 2013 17:14:42 -0300
Source: nsnake
Binary: nsnake
Architecture: source amd64
Version: 1.5-1
Distribution: unstable
Urgency: low
Maintainer: Alexandre Dantas <alex.dantas92@gmail.com>
Changed-By: Alexandre Dantas <alex.dantas92@gmail.com>
Description: 
 nsnake     - classic snake game with textual interface
Closes: 706048
Changes: 
 nsnake (1.5-1) unstable; urgency=low
 .
   * Initial release (Closes: #706048)
Checksums-Sha1: 
 02c4eca29a96980a02d942a57d8855bcc142f219 1800 nsnake_1.5-1.dsc
 cf320d1b7519890b7031ea2a334816537e0ea0a5 47662 nsnake_1.5.orig.tar.gz
 11f6289f2a8e2d42474400a8d8ea450691356672 2029 nsnake_1.5-1.debian.tar.gz
 3caeba32854f1e3771a0a1d9703395e0db815c50 19428 nsnake_1.5-1_amd64.deb
Checksums-Sha256: 
 9117fb2445bda103991a0b26aedeb6008f3c6ab6d079a6b9c51597b740b95c5d 1800 nsnake_1.5-1.dsc
 e95e5f35cf5f63d36c45c766fbb47fa892ac8b8a1d1ec670e5a8159ee6a0af11 47662 nsnake_1.5.orig.tar.gz
 d4e1e0961b18e66ccf48618a69d9f73d436b7e1d5a2ebace75a300c553f5f992 2029 nsnake_1.5-1.debian.tar.gz
 654358727ec4a0fd9c2ef295db72027db596cf4647f0a6b22bdd880323b60515 19428 nsnake_1.5-1_amd64.deb
Files: 
 9ec09ade8dc48b46c11872f38d82fd52 1800 games optional nsnake_1.5-1.dsc
 ce03c49402b25efd33eea03caed2c828 47662 games optional nsnake_1.5.orig.tar.gz
 03550160569b9507053566402c516511 2029 games optional nsnake_1.5-1.debian.tar.gz
 2a6b11523a9754f0fd4fcdd55f577944 19428 games optional nsnake_1.5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJReB/+AAoJENPhc4PPp/8G5joP/i4DqaNvACvb/HybCkDNCUkm
o01il/br81dJ36tlrI9l77PE1Y5ao9K5RtdkQdWmCj8XUcXscspOtipbEkBJ2JJL
6Fkr34qUTitJyeaYViQiF+GXEFbmP23Hp5zk3HZIrN8FP4AnpCf5QCcoxfmWT8bF
1IeE9KDB7PHMBBklMacOSC0SgIyr5FgO+aUKFy2RnK4lHDXVmibiF1U3qUQE0WPS
37ZTdh0yRBal97bUckT4R8SHp6pkpDoljt0IKemo1fxxsVOAJt9Liluv8/0PsWGa
khq2KGUzKA9rKu36AIsY0tGcfiFZAqhtqCNCgb2GC7lUqd6akcGA7ofAfBsCJCJS
iEndA09Ms3jqfQPFivn/tIP8TAKID7NxptD+hEiKe0/nCm2orFOmq5JnbUjq/q6u
FHHIck0b27MlYFZsMnnD2/a+em2dLSPZut1FlETewFXKGkPxL9VR1GqgOD2KylY4
Bhje4sLatz2yFj5u0Rw8KC7pC89iHg6tF/CfyQ5ZhjfxNW5b7FwBuZDA/RhEWVFn
lPPoKw1mbIIsFJtOQ25mX/98ktNM82WWFctQfoNrReN3iRxL4VQL4HgzE2VjCxN7
haQut3hElB97BgEsEFf7bwXFGN8BCMZHXZGoW6eVG0RTI7iArGBxnK4CkJKAEo1D
NLwqreOXb9CLzqMbJk14
=YMv9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 27 May 2013 07:31:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:20:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.